### Function

# Gsk value_dup_render_node

since: 4.6

#### Declaration [src]

    GskRenderNode*
    gsk_value_dup_render_node (
      const GValue* value
    )

#### Description [src]

Retrieves the render node stored inside a `GValue`, and acquires a reference to it.

Available since: 4.6

#### Parameters

`value`

  Type: `GValue`

  A `GValue` initialized with type `GSK_TYPE_RENDER_NODE`.

  The data is owned by the caller of the function.

#### Return value

Type: `GskRenderNode`

The render node.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.